Package com.collabnet.ce.soap60.webservices.scm

# Class Repository2SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.scm.Repository2SoapDO

public class Repository2SoapDO extends FolderSoapDO
This class represents the data associated with an SCM repository.
Change History
Release: 6.1

- Added hideMonitoringDetails flag.

Release: 7.0

- Added repository parameters.

Since:
  4.2SP1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Repository2SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getHideMonitoringDetails()`
  Returns 'hideMonitoringDetails'.
  `boolean`
  `getIdRequiredOnCommit()`
  Returns 'idRequiredOnCommit'.
  `boolean`
  `getIsOnManagedScmServer()`
  Returns 'isOnManagedScmServer'.
  `RepositoryParameter2SoapDO[]`
  `getParameters()`
  Returns 'parameters'.
  `String`
  `getRepositoryDirectory()`
  Returns 'repositoryDirectory'.
  `String`
  `getScmAdapterName()`
  Returns 'scmAdapterName'.
  `String`
  `getScmViewerUrl()`
  Returns 'scmViewerUrl'.
  `String`
  `getSystemId()`
  Returns 'systemId'.
  `String`
  `getSystemTitle()`
  Returns 'systemTitle'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setHideMonitoringDetails(boolean hideMonitoringDetails)`
  Sets 'hideMonitoringDetails'.
  `void`
  `setIdRequiredOnCommit(boolean idRequiredOnCommit)`
  Sets 'idRequiredOnCommit'.
  `void`
  `setIsOnManagedScmServer(boolean isOnManagedScmServer)`
  Sets 'isOnManagedScmServer'.
  `void`
  `setParameters(RepositoryParameter2SoapDO[] parameters)`
  Sets 'parameters'.
  `void`
  `setRepositoryDirectory(String repositoryDirectory)`
  Sets 'repositoryDirectory'.
  `void`
  `setScmAdapterName(String scmAdapterName)`
  Sets 'scmAdapterName'.
  `void`
  `setScmViewerUrl(String scmViewerUrl)`
  Sets 'scmViewerUrl'.
  `void`
  `setSystemId(String systemId)`
  Sets 'systemId'.
  `void`
  `setSystemTitle(String systemTitle)`
  Sets 'systemTitle'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Repository2SoapDO

    public Repository2SoapDO()

- ## Method Details

  - ### getSystemId

    public String getSystemId()
    Returns 'systemId'.
    Returns:
      Value of 'systemId'.

  - ### setSystemId

    public void setSystemId(String systemId)
    Sets 'systemId'.
    Parameters:
      `systemId` - Value of 'systemId'.

  - ### getSystemTitle

    public String getSystemTitle()
    Returns 'systemTitle'.
    Returns:
      Value of 'systemTitle'.

  - ### setSystemTitle

    public void setSystemTitle(String systemTitle)
    Sets 'systemTitle'.
    Parameters:
      `systemTitle` - Value of 'systemTitle'.

  - ### getRepositoryDirectory

    public String getRepositoryDirectory()
    Returns 'repositoryDirectory'.
    Returns:
      Value of 'repositoryDirectory'.

  - ### setRepositoryDirectory

    public void setRepositoryDirectory(String repositoryDirectory)
    Sets 'repositoryDirectory'.
    Parameters:
      `repositoryDirectory` - Value of 'repositoryDirectory'.

  - ### getScmViewerUrl

    public String getScmViewerUrl()
    Returns 'scmViewerUrl'.
    Returns:
      Value of 'scmViewerUrl'.

  - ### setScmViewerUrl

    public void setScmViewerUrl(String scmViewerUrl)
    Sets 'scmViewerUrl'.
    Parameters:
      `scmViewerUrl` - Value of 'scmViewerUrl'.

  - ### getScmAdapterName

    public String getScmAdapterName()
    Returns 'scmAdapterName'.
    Returns:
      Value of 'scmAdapterName'.

  - ### setScmAdapterName

    public void setScmAdapterName(String scmAdapterName)
    Sets 'scmAdapterName'.
    Parameters:
      `scmAdapterName` - Value of 'scmAdapterName'.

  - ### getIdRequiredOnCommit

    public boolean getIdRequiredOnCommit()
    Returns 'idRequiredOnCommit'.
    Returns:
      Value of 'idRequiredOnCommit'.

  - ### setIdRequiredOnCommit

    public void setIdRequiredOnCommit(boolean idRequiredOnCommit)
    Sets 'idRequiredOnCommit'.
    Parameters:
      `idRequiredOnCommit` - Value of 'idRequiredOnCommit'.

  - ### getIsOnManagedScmServer

    public boolean getIsOnManagedScmServer()
    Returns 'isOnManagedScmServer'.
    Returns:
      Value of 'isOnManagedScmServer'.

  - ### setIsOnManagedScmServer

    public void setIsOnManagedScmServer(boolean isOnManagedScmServer)
    Sets 'isOnManagedScmServer'.
    Parameters:
      `isOnManagedScmServer` - Value of 'isOnManagedScmServer'.

  - ### getHideMonitoringDetails

    public boolean getHideMonitoringDetails()
    Returns 'hideMonitoringDetails'.
    Returns:
      Value of 'hideMonitoringDetails'.

  - ### setHideMonitoringDetails

    public void setHideMonitoringDetails(boolean hideMonitoringDetails)
    Sets 'hideMonitoringDetails'.
    Parameters:
      `hideMonitoringDetails` - Value of 'hideMonitoringDetails'.

  - ### getParameters

    public RepositoryParameter2SoapDO[] getParameters()
    Returns 'parameters'.
    Returns:
      Value of 'parameters'.

  - ### setParameters

    public void setParameters(RepositoryParameter2SoapDO[] parameters)
    Sets 'parameters'.
    Parameters:
      `parameters` - Value of 'parameters'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)